> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Update data import lock

> Update a DataImportLock. The current calendar month cannot be locked. The previous calendar month can be locked on or after the 15th of the current month.



## OpenAPI

````yaml https://api.vantage.sh/v2/oas_v3.json put /data_import_locks/{data_import_lock_token}
openapi: 3.0.1
info:
  title: Vantage
  description: Vantage API
  termsOfService: https://www.vantage.sh/terms-of-use
  contact:
    name: Vantage Support
    url: https://www.vantage.sh
    email: support@vantage.sh
  version: 2.0.0
servers:
  - url: https://api.vantage.sh/v2
security:
  - oauth2:
      - read
tags:
  - name: AccessGrants
    description: Operations about AccessGrants
  - name: AccessPolicies
    description: Operations about AccessPolicies
  - name: Annotations
    description: Operations about Annotations
  - name: AnomalyAlerts
    description: Operations about AnomalyAlerts
  - name: AnomalyNotifications
    description: Operations about AnomalyNotifications
  - name: AuditLogs
    description: Operations about AuditLogs
  - name: BillingProfiles
    description: Operations about BillingProfiles
  - name: BillingRules
    description: Operations about BillingRules
  - name: BudgetAlerts
    description: Operations about BudgetAlerts
  - name: Budgets
    description: Operations about Budgets
  - name: BusinessMetrics
    description: Operations about BusinessMetrics
  - name: Canvases
    description: Operations about Canvases
  - name: CostAlertEvents
    description: Operations about CostAlertEvents
  - name: CostAlerts
    description: Operations about CostAlerts
  - name: CostProvider
    description: Operations about CostProviders
  - name: CostProviderAccounts
    description: Operations about CostProviderAccounts
  - name: Costs
    description: Operations about Costs
  - name: CostService
    description: Operations about CostServices
  - name: DashboardNotifications
    description: Operations about DashboardNotifications
  - name: Dashboards
    description: Operations about Dashboards
  - name: DataExports
    description: Operations about DataExports
  - name: EnrichmentSources
    description: Operations about EnrichmentSources
  - name: EnrichmentStatistics
    description: Operations about EnrichmentStatistics
  - name: ExchangeRates
    description: Operations about ExchangeRates
  - name: FinancialCommitmentReports
    description: Operations about FinancialCommitmentReports
  - name: FinancialCommitments
    description: Operations about FinancialCommitments
  - name: Folders
    description: Operations about Folders
  - name: Integrations
    description: Operations about Integrations
  - name: Invoices
    description: Operations about Invoices
  - name: KubernetesEfficiencyReports
    description: Operations about KubernetesEfficiencyReports
  - name: ManagedAccounts
    description: Operations about ManagedAccounts
  - name: Me
    description: Operations about Mes
  - name: NetworkFlowLogs
    description: Operations about NetworkFlowLogs
  - name: NetworkFlowReports
    description: Operations about NetworkFlowReports
  - name: OpenAPISpecification
    description: Operations about OpenAPISpecifications
  - name: Ping
    description: Operations about Pings
  - name: Prices
    description: Operations about Prices
  - name: Recommendations
    description: Operations about Recommendations
  - name: RecommendationViews
    description: Operations about RecommendationViews
  - name: ReportForecasts
    description: Operations about ReportForecasts
  - name: ReportNotifications
    description: Operations about ReportNotifications
  - name: ResourceReports
    description: Operations about ResourceReports
  - name: Resources
    description: Operations about Resources
  - name: SavedFilters
    description: Operations about SavedFilters
  - name: ScenarioModels
    description: Operations about ScenarioModels
  - name: Segments
    description: Operations about Segments
  - name: Tags
    description: Operations about Tags
  - name: Teams
    description: Operations about Teams
  - name: UnitCosts
    description: Operations about UnitCosts
  - name: UserFeedback
    description: Operations about UserFeedbacks
  - name: Users
    description: Operations about Users
  - name: VirtualTags
    description: Operations about VirtualTags
  - name: Workspaces
    description: Operations about Workspaces
paths:
  /data_import_locks/{data_import_lock_token}:
    put:
      tags:
        - Integrations
      summary: Update data import lock
      description: >-
        Update a DataImportLock. The current calendar month cannot be locked.
        The previous calendar month can be locked on or after the 15th of the
        current month.
      operationId: updateDataImportLock
      parameters:
        - name: data_import_lock_token
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/updateDataImportLock'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataImportLock'
              example:
                token: etl_lck_1234
                provider: aws
                locked_until: '2024-05-01'
                created_by_token: usr_1234
                created_at: '2024-06-28T00:00:00Z'
        '400':
          description: BadRequest
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
        '404':
          description: NotFound
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
        '422':
          description: UnprocessableEntity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
        '503':
          description: ServiceUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Errors'
      security:
        - oauth2:
            - write
components:
  schemas:
    updateDataImportLock:
      required:
        - locked_until
      type: object
      properties:
        locked_until:
          type: string
          description: >-
            The last billing month to lock, as the first day of that month. ISO
            8601 formatted. The current calendar month cannot be locked. The
            previous calendar month can be locked on or after the 15th of the
            current month.
          format: date
      description: >-
        Update a DataImportLock. The current calendar month cannot be locked.
        The previous calendar month can be locked on or after the 15th of the
        current month.
    DataImportLock:
      required:
        - created_at
        - created_by_token
        - locked_until
        - provider
        - token
      type: object
      properties:
        token:
          type: string
          description: The token of the DataImportLock.
          nullable: false
          example: etl_lck_1234
        provider:
          type: string
          description: The cost provider whose processed cost months are locked.
          nullable: false
          example: aws
        locked_until:
          type: string
          description: >-
            The last billing month included in the lock, as the first day of
            that month. ISO 8601 formatted. The current calendar month cannot be
            locked. The previous calendar month can be locked on or after the
            15th of the current month.
          nullable: false
          example: '2024-06-01'
        created_by_token:
          type: string
          description: The token of the user or team that created the DataImportLock.
          nullable: true
          example: usr_1234
        created_at:
          type: string
          description: >-
            The date and time, in UTC, the DataImportLock was created. ISO 8601
            formatted.
          nullable: false
          example: '2024-06-28T00:00:00Z'
      description: DataImportLock model
    Errors:
      required:
        - errors
      type: object
      properties:
        links:
          $ref: '#/components/schemas/Links'
        errors:
          type: array
          nullable: false
          items:
            type: string
      description: Errors model
    Links:
      type: object
      properties:
        self:
          type: string
          description: The URL of the current page of results.
          nullable: true
        first:
          type: string
          description: The URL of the first page of results.
          nullable: true
        next:
          type: string
          description: The URL of the next page of results, if one exists.
          nullable: true
        last:
          type: string
          description: The URL of the last page of results, if one exists.
          nullable: true
        prev:
          type: string
          description: The URL of the previous page of results, if one exists.
          nullable: true
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://console.vantage.sh/account/profile
          scopes:
            read: Grants read access
            write: Grants write access

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.